<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Sturen Ambulanceoverdracht SEH (2.16.840.1.113883.2.4.3.11.60.55.4.23 2015-11-05T14:53:34)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:ihe:pharm:medication" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="urn:hl7-nl:v3" prefix="hl7nl"/>
   <ns uri="urn:oid:1.3.6.1.4.1.19376.1.3.2" prefix="lab"/>
   <ns uri="urn:urn:nictiz-nl:v3/nfu" prefix="nfu"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario cda-amb-seh -->

   <!-- cda-ambu-SEH -->
   <pattern>
      <title>cda-ambu-SEH</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.6']]"
                 see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190402T181900/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605.html">(cda-ambu-SEH): In de instance werd het volgende element verwacht: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.6']]</assert>
      </rule>
   </pattern>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.6-2016-07-26T165605-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- SpecimenReceived -->
   <include href="include/1.3.6.1.4.1.19376.1.3.1.3-2008-08-08T000000.sch"/>
   <!-- IHECommentEntry -->
   <include href="include/1.3.6.1.4.1.19376.1.5.3.1.4.2-2013-12-20T000000.sch"/>
   <!-- Stoptype -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9067-2016-06-17T102209.sch"/>
   <!-- Toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9069-2016-06-17T163405.sch"/>
   <!-- MPMedBehIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9084-2016-06-21T103838.sch"/>
   <!-- MPCDAAanvullendeInstructie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9085-2016-06-21T114818.sch"/>
   <!-- MPMAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9086-2016-06-21T122009.sch"/>
   <!-- MPTAIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9101-2016-06-24T130316.sch"/>
   <!-- MPCDADosering -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9149-2016-07-25T134340.sch"/>
   <!-- RedenVanVoorschrijven -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9160-2016-11-09T134526.sch"/>
   <!-- MPMGIdentificatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9176-2017-05-22T183626.sch"/>
   <!-- MPCDAMAAanvullendeInformatie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9177-2017-05-23T084315.sch"/>
   <!-- MPCDAKopieIndicator -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9200-2018-01-12T101847.sch"/>
   <!-- MPCDAMedicatieAfspraakSchemaInhoud2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9233-2018-12-04T130547.sch"/>
   <!-- MPCDAMedicatieAfspraakSchema3 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9235-2018-12-04T143321.sch"/>
   <!-- MPCDAMedicatieAfspraakSchemaKopie2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9241-2018-12-04T150624.sch"/>
   <!-- MPCDAMedicationInformation2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9254-2018-12-06T143451.sch"/>
   <!-- RedenMedicatieAfspraak2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.20.77.10.9270-2018-12-18T111500.sch"/>
   <!-- zorgverlener-assignedEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.26-2018-06-11T000000.sch"/>
   <!-- informant -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.30-2018-06-11T000000.sch"/>
   <!-- toelichting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.32-2018-06-11T000000.sch"/>
   <!-- playingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.8-2018-06-11T000000.sch"/>
   <!-- scopingEntity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.0.9-2018-06-11T000000.sch"/>
   <!-- kleding -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.29-2018-06-11T000000.sch"/>
   <!-- zorgverlener-participantRole-body -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.3.27-2018-06-11T000000.sch"/>
   <!-- positie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.3.10.31-2018-06-11T000000.sch"/>
   <!-- MeasurementsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1100-2016-11-10T163432.sch"/>
   <!-- Saturation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1102-2016-11-10T173356.sch"/>
   <!-- Capnometry -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1103-2016-11-12T004037.sch"/>
   <!-- HeartRate -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1104-2016-11-12T010113.sch"/>
   <!-- BloodPressure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1105-2016-11-12T183851.sch"/>
   <!-- SystolicBloodPressure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1106-2016-11-12T190237.sch"/>
   <!-- DiastolicBloodPressure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1107-2016-11-12T192531.sch"/>
   <!-- BodyTemperature -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1108-2016-11-13T025802.sch"/>
   <!-- Respiration -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1109-2016-11-14T124307.sch"/>
   <!-- GlasgowComaScale -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1110-2016-11-14T143030.sch"/>
   <!-- GCSEyes -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1111-2016-11-14T145102.sch"/>
   <!-- GCSMotor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1112-2016-11-14T151650.sch"/>
   <!-- GCSVerbal -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1113-2016-11-14T153341.sch"/>
   <!-- RevisedTraumaScore -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1115-2016-11-15T105508.sch"/>
   <!-- PediatricTraumaScore -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1116-2016-11-15T111523.sch"/>
   <!-- Pain -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1117-2016-11-15T114045.sch"/>
   <!-- APGAR -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1118-2016-11-15T120804.sch"/>
   <!-- APGAR-1 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1119-2016-11-15T121942.sch"/>
   <!-- APGAR-5 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1120-2016-11-15T122848.sch"/>
   <!-- PediatricGlasgowComaScale -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1121-2016-11-15T131605.sch"/>
   <!-- PediatricGCS_Eyes -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1122-2016-11-15T134808.sch"/>
   <!-- PediatricGCS_Motor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1123-2016-11-15T140739.sch"/>
   <!-- PediatricGCS_Verbal -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1124-2016-11-15T142039.sch"/>
   <!-- PediatricTotaalScore -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1125-2016-11-15T143133.sch"/>
   <!-- HeartRythm -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1126-2016-11-15T150630.sch"/>
   <!-- AnnotationCommentHeartRythm -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1127-2016-11-15T153655.sch"/>
   <!-- BloodSugarLevel -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1128-2016-11-15T160101.sch"/>
   <!-- TreatmentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1129-2016-11-21T153230.sch"/>
   <!-- BreathingAndVentilation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1131-2016-11-21T162616.sch"/>
   <!-- CounsciousnessAndNeurologicalStatus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1132-2016-11-21T222641.sch"/>
   <!-- OtherDiagnosticTreatment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1133-2016-11-21T225517.sch"/>
   <!-- AirwayManagement -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1134-2016-11-21T230427.sch"/>
   <!-- OxygenationAndVentilation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1136-2016-11-22T000242.sch"/>
   <!-- BreathingMachineFiO2 -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1137-2016-11-22T102031.sch"/>
   <!-- BreathingMachineAMV -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1138-2016-11-22T105624.sch"/>
   <!-- BreathingMachineFreq -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1139-2016-11-22T111648.sch"/>
   <!-- OxygenAmount -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1141-2016-11-22T113502.sch"/>
   <!-- CirculationTherapeutic -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.sch"/>
   <!-- PacemakerFrequency -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1143-2016-11-22T134733.sch"/>
   <!-- PacemakerCurrent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1144-2016-11-22T135649.sch"/>
   <!-- PacemakerModus -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1145-2016-11-22T142114.sch"/>
   <!-- Cardioversion -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1146-2016-11-22T143058.sch"/>
   <!-- CardioversionMaxEnergy -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1147-2016-11-22T144051.sch"/>
   <!-- DefiblirationsNumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1148-2016-11-22T145042.sch"/>
   <!-- ReturnOfSpontaneousCirculation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1149-2016-11-22T150942.sch"/>
   <!-- AED -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1150-2016-11-22T152634.sch"/>
   <!-- Traumatology -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.sch"/>
   <!-- CoolingTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1152-2016-11-23T122759.sch"/>
   <!-- ObstericsTreatment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1153-2016-11-23T123838.sch"/>
   <!-- IsolationKind -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1155-2016-11-23T130829.sch"/>
   <!-- MedicationUsed -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1156-2016-11-23T134202.sch"/>
   <!-- MedicationName -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1157-2016-11-23T154811.sch"/>
   <!-- MedicationAdministartionProcedure -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1158-2016-11-23T163444.sch"/>
   <!-- IVMedicationSpeed -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1159-2016-11-23T164720.sch"/>
   <!-- Drip -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.sch"/>
   <!-- DripNumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1161-2016-11-24T140810.sch"/>
   <!-- DripData -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1162-2016-11-24T142952.sch"/>
   <!-- DripFluidName -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1163-2016-11-24T153042.sch"/>
   <!-- ExtraInformationTreatments -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1164-2016-11-24T163017.sch"/>
   <!-- TransportationSEHSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1165-2016-11-24T175424.sch"/>
   <!-- TransportationActSEH -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1166-2016-11-24T180925.sch"/>
   <!-- Urgency -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1170-2016-11-29T114853.sch"/>
   <!-- PatientTransported -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1171-2016-11-29T133712.sch"/>
   <!-- ReasonNoTransportation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1172-2016-11-29T140216.sch"/>
   <!-- AdviceTreatmentDuringTransportation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1173-2016-11-29T142832.sch"/>
   <!-- DateOfDeath -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1174-2016-11-29T150321.sch"/>
   <!-- NoReanimationStatement -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1175-2016-11-29T152547.sch"/>
   <!-- Trial -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1176-2016-11-29T155530.sch"/>
   <!-- InjuredNumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1177-2016-11-29T160758.sch"/>
   <!-- TriageClass -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1178-2016-11-29T162404.sch"/>
   <!-- AttachmentsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.sch"/>
   <!-- AttachmentMedia -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.1181-2016-12-01T121948.sch"/>
   <!-- TransportationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.203-2015-12-27T000000.sch"/>
   <!-- AcuityAssessmentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.204-2015-12-27T000000.sch"/>
   <!-- ClinicalInformationSummarySection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.205-2015-12-27T000000.sch"/>
   <!-- PlanofCareSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.206-2016-02-25T000000.sch"/>
   <!-- PhysicalFindingSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.207-2015-12-27T000000.sch"/>
   <!-- Contacturgentiewaarnemer -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.208-2017-07-27T000000.sch"/>
   <!-- PatientReferralAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.301-2016-02-25T000000.sch"/>
   <!-- TransportationAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.302-2016-02-25T000000.sch"/>
   <!-- AcuityAssessment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.306-2018-11-01T000000.sch"/>
   <!-- ComplaintsAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.307-2016-02-25T000000.sch"/>
   <!-- AcuityCriteria -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.308-2016-02-25T000000.sch"/>
   <!-- ProblemObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.309-2016-02-25T000000.sch"/>
   <!-- PlannedActivities -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.310-2016-02-25T000000.sch"/>
   <!-- Advices -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.311-2016-02-25T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.312-2015-12-27T000000.sch"/>
   <!-- FeedbackTransportation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.313-2016-11-02T130717.sch"/>
   <!-- AcuityAssessmentObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.315-2018-11-01T000000.sch"/>
   <!-- PlannedActivitiesObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.316-2018-12-14T000000.sch"/>
   <!-- WIDObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.401-2016-08-03T165922.sch"/>
   <!-- WIDControlSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.404-2016-08-04T154936.sch"/>
   <!-- DateOfEvent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.405-2016-08-04T170436.sch"/>
   <!-- IncidentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.406-2016-08-04T182527.sch"/>
   <!-- EmergencyNotificationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.sch"/>
   <!-- Notification -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.408-2016-08-08T164028.sch"/>
   <!-- BOPZFacility -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.410-2016-08-10T164742.sch"/>
   <!-- PlannedArriveTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.411-2016-08-10T170527.sch"/>
   <!-- AmbulanceDriveSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.412-2016-08-17T154620.sch"/>
   <!-- AmbulanceTrip -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.413-2016-08-17T164249.sch"/>
   <!-- AmbulanceDispatchTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.414-2016-08-18T161920.sch"/>
   <!-- AmbulanceAtPatientTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.415-2016-08-18T175411.sch"/>
   <!-- AmbulanceDeparturePatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.416-2016-08-18T182732.sch"/>
   <!-- AmbulanceExpectedDestinationTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.417-2016-08-18T183647.sch"/>
   <!-- AmbulanceDestinationTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.418-2016-08-22T155135.sch"/>
   <!-- AmbulanceTripReleasedTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.419-2016-08-22T174044.sch"/>
   <!-- AmbulanceTransportKind -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.420-2016-08-22T180256.sch"/>
   <!-- AmbulanceTripNumber -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.421-2016-08-24T180401.sch"/>
   <!-- AnnotationCommentAmbulance -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.423-2016-08-25T144955.sch"/>
   <!-- MedicalConditionWorkingDiagnosisSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.424-2016-08-30T175540.sch"/>
   <!-- MedicalCondition -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.425-2016-08-30T183153.sch"/>
   <!-- PatientPositionSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.426-2016-08-31T152802.sch"/>
   <!-- TypePatientPosition -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.427-2016-08-31T160535.sch"/>
   <!-- AgreementsWithPatientSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.428-2016-09-01T142427.sch"/>
   <!-- ConsentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.429-2016-09-07T155432.sch"/>
   <!-- ClinicalTrialPatientConsent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.430-2016-09-07T162922.sch"/>
   <!-- NextOfKinPatientConsent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.431-2016-09-07T173735.sch"/>
   <!-- MechanismSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.432-2016-09-12T171139.sch"/>
   <!-- MechanismType -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.433-2016-09-12T173109.sch"/>
   <!-- TransportVehiclePatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.434-2016-09-13T104053.sch"/>
   <!-- VehicleDriver -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.435-2016-09-13T114139.sch"/>
   <!-- StructuralBarrier -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.436-2016-09-13T120750.sch"/>
   <!-- BodyProtection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.437-2016-09-13T122306.sch"/>
   <!-- ConsultingExternalProfessionalSection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.438-2016-09-13T161626.sch"/>
   <!-- Consultation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.439-2016-09-13T170627.sch"/>
   <!-- AgreementsWithExternalProfessional -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.442-2016-09-14T151449.sch"/>
   <!-- PrimarySurveySection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.444-2016-09-28T101640.sch"/>
   <!-- PrimarySurveyExam -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.sch"/>
   <!-- Airway -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.446-2016-09-28T142028.sch"/>
   <!-- BreathingSufficient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.447-2016-09-29T142722.sch"/>
   <!-- BreathingObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.448-2016-09-29T145511.sch"/>
   <!-- Breathing -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.449-2016-10-05T160945.sch"/>
   <!-- CirculationSufficient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.451-2016-10-05T162630.sch"/>
   <!-- CapillaireRefill -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.452-2016-10-05T164228.sch"/>
   <!-- SkinObsevation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.453-2016-10-05T165245.sch"/>
   <!-- Disability -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.454-2016-10-06T124305.sch"/>
   <!-- AVPU -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.sch"/>
   <!-- UnconsciousnessTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.456-2016-10-06T134743.sch"/>
   <!-- Leerling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.457-2016-10-06T150404.sch"/>
   <!-- FASTSymptoms -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.458-2016-10-06T162824.sch"/>
   <!-- Intoxication -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.459-2016-10-06T171226.sch"/>
   <!-- SecundarySurveySection -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.461-2016-10-17T142126.sch"/>
   <!-- SecondarySurveyExam -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.462-2016-10-17T153927.sch"/>
   <!-- Anamnesis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.463-2016-10-17T170616.sch"/>
   <!-- Ample -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.464-2016-10-18T144132.sch"/>
   <!-- InfectionRisc -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.465-2016-10-18T164737.sch"/>
   <!-- HeadAndFace -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.466-2016-10-19T115256.sch"/>
   <!-- HeadAndFaceObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.467-2016-10-19T120215.sch"/>
   <!-- LossOfBlood -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.468-2016-10-19T131126.sch"/>
   <!-- LossOfLiquor -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.469-2016-10-19T132924.sch"/>
   <!-- PainLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.sch"/>
   <!-- Wound -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.471-2016-10-19T143037.sch"/>
   <!-- NeckThroatCWK -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.472-2016-10-19T150826.sch"/>
   <!-- NeckThroatCWKObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.473-2016-10-19T154549.sch"/>
   <!-- Thorax -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.474-2016-10-19T163102.sch"/>
   <!-- ThoraxObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.475-2016-10-19T164229.sch"/>
   <!-- PainByCompression -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.476-2016-10-19T165448.sch"/>
   <!-- SubcutaanEmphysemaLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.477-2016-10-19T171259.sch"/>
   <!-- Swelling-OedemaLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.478-2016-10-19T172253.sch"/>
   <!-- Back -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.479-2016-11-07T161255.sch"/>
   <!-- BackObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.480-2016-11-07T162354.sch"/>
   <!-- Abdomen -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.481-2016-11-08T123630.sch"/>
   <!-- AbdomenObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.482-2016-11-08T125231.sch"/>
   <!-- AbdomenLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.484-2016-11-08T143907.sch"/>
   <!-- PulsatingSwellingLocation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.sch"/>
   <!-- Pelvis -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.486-2016-11-08T160438.sch"/>
   <!-- PelvisObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.487-2016-11-08T161559.sch"/>
   <!-- ArmsExtremity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.488-2016-11-08T165311.sch"/>
   <!-- ArmsExtremityObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.489-2016-11-08T171154.sch"/>
   <!-- LegsExtremity -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.490-2016-11-09T131839.sch"/>
   <!-- LegsExtremityObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.491-2016-11-09T133039.sch"/>
   <!-- Excretion -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.492-2016-11-09T161009.sch"/>
   <!-- ExcretionObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.493-2016-11-09T161600.sch"/>
   <!-- Vormiting -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.494-2016-11-09T163509.sch"/>
   <!-- Incontinent -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.495-2016-11-09T164700.sch"/>
   <!-- Obstetrics -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.496-2016-11-09T173232.sch"/>
   <!-- ObstetricsObservations -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.497-2016-11-09T174447.sch"/>
   <!-- AmnioticFluidLeaking -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.498-2016-11-09T182839.sch"/>
   <!-- Contractions -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.499-2016-11-09T185619.sch"/>
   <!-- PlannedPickUpTime -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9002-2017-02-08T173011.sch"/>
   <!-- GPInformed -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9003-2017-02-09T134124.sch"/>
   <!-- AgreementsWithPatient -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9004-2017-02-09T143001.sch"/>
   <!-- DefibrillationEnergie -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9005-2017-02-09T163847.sch"/>
   <!-- Insurance -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.sch"/>
   <!-- InsuranceValid -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9007-2017-07-18T175138.sch"/>
   <!-- AcuityAssessmentSkipReason -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.55.10.9011-2018-12-17T233901.sch"/>
   <!-- kezo-Contactmoment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.201-2015-07-08T000000.sch"/>
   <!-- kezo-Algemenebepaling -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.202-2013-12-31T000000.sch"/>
   <!-- kezo-IndicatieDiagnose -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.205-2014-04-30T000000.sch"/>
   <!-- kezo-Contactverslag -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.207-2015-06-01T000000.sch"/>
   <!-- kezo-Subjective -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.208-2015-06-01T000000.sch"/>
   <!-- kezo-Objective -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.209-2015-06-01T000000.sch"/>
   <!-- kezo-Assessment -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.210-2015-06-01T000000.sch"/>
   <!-- kezo-Plan -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.211-2015-06-01T000000.sch"/>
   <!-- kezo-Problemconcernact -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.212-2015-07-03T000000.sch"/>
   <!-- kezo-Problemobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.213-2015-07-03T000000.sch"/>
   <!-- kezo-Alert -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.214-2015-11-25T000000.sch"/>
   <!-- kezo-AllergyConcernAct -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.215-2015-07-15T000000.sch"/>
   <!-- kezo-AllergyIntoleranceobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.216-2015-07-15T000000.sch"/>
   <!-- kezo-Reactionobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.217-2015-07-15T000000.sch"/>
   <!-- kezo-Criticalityobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.218-2015-08-21T000000.sch"/>
   <!-- kezo-Severityobservation -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.219-2015-07-15T000000.sch"/>
   <!-- kezo-Exposureroute -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.220-2015-07-15T000000.sch"/>
   <!-- kezo-Note -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.66.10.221-2015-06-01T000000.sch"/>
   <!-- lichaamsgewicht -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.28-2017-10-25T000000.sch"/>
   <!-- SpecimenCollectionHCIM -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.3-2017-10-16T000000.sch"/>
   <!-- lichaamslengte -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.30-2017-10-25T000000.sch"/>
   <!-- LaboratoryObservationNL -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.31-2017-12-05T000000.sch"/>
   <!-- LaboratoryObservationRequestNL -->
   <include href="include/2.16.840.1.113883.2.4.3.11.60.7.10.47-2017-12-05T000000.sch"/>

</schema>
